# Class ResourceEnvRef

java.lang.Object
javax.naming.Reference
org.apache.naming.AbstractRef
org.apache.naming.ResourceEnvRef

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class ResourceEnvRef extends AbstractRef
Represents a reference address to a resource environment.

Author:
  Remy Maucherat
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_FACTORY`
Default factory for this reference.

### Fields inherited from class javax.naming.Reference

`addrs, classFactory, classFactoryLocation, className`

## Constructor Summary

Constructors
Constructor
Description
`ResourceEnvRef(String resourceType)`
Resource env reference.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getDefaultFactoryClassName()`

### Methods inherited from class org.apache.naming.AbstractRef

`getFactoryClassName, toString`

### Methods inherited from class javax.naming.Reference

`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_FACTORY

public static final String DEFAULT_FACTORY
Default factory for this reference.

See Also:
  - Constant Field Values

## Constructor Details

### ResourceEnvRef

public ResourceEnvRef(String resourceType)
Resource env reference.

Parameters:
  `resourceType` - Type

## Method Details

### getDefaultFactoryClassName

protected String getDefaultFactoryClassName()

Specified by:
  `getDefaultFactoryClassName` in class `AbstractRef`